compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabKeyboard()

Bug #742233 reported by Chris Halse Rogers on 2011-03-25
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Jay Taoko
Unity
Fix Released
Medium
Jay Taoko
nux (Ubuntu)
Medium
Jay Taoko
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

Happens reproducibly when I right-click on any icon in the launcher, and also when I bring up the dash.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: compiz-core 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.38-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,decor,imgsvg,snap,text,grid,imgpng,gnomecompat,unitymtgrabhandles,place,vpswitch,compiztoolbox,notification,resize,regex,animation,move,loginout,mousepoll,expo,workarounds,resizeinfo,session,wall,ezoom,staticswitcher,fade,scale,unityshell,scalefilter,scaleaddon]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1440x900
 edid-base64: AP///////wAwrhRAAAAAACoSAQOAGhB46uWVk1ZPkCgoUFQAAAABAQEBAQEBAQEBAQEBAQEB8BygoFCEGjAYEDYABaMQAAAY8BygoFCEGjAYEDYABaMQAAAYAAAADwCVCjKVCjIZAQAwZABVAAAA/gBMVEQxMjFFUTNCCiAgAJM=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Fri Mar 25 14:54:21 2011
DistUpgraded: Log time: 2011-03-09 08:47:15.532194
DistroCodename: natty
DistroVariant: ubuntu
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:20e4]
   Subsystem: Lenovo Device [17aa:20e4]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110117)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110117)
MachineType: LENOVO 7465CTO
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=en_AU:en_GB:en
 LANG=en_AU.utf8
 SHELL=/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-7-generic root=/dev/mapper/Storage-Ubuntu ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.38-generic 2.6.38
Renderer: Unknown
SegvAnalysis:
 Segfault happened at: 0x7fdfdbbbb3c6 <nux::GraphicsDisplay::GrabKeyboard(nux::GraphicsDisplay::GrabReleaseCallback, void*, bool)+166>: callq *%rax
 PC (0x7fdfdbbbb3c6) ok
 source "*%rax" (0x6334633423093a72) not located in a known VMA region (needed readable region)!
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 nux::GraphicsDisplay::GrabKeyboard (this=0x1c97430, callback=0, data=0x1e23930, replace_existing=true) at ./GraphicsDisplayX11.cpp:2537
 nux::WindowCompositor::GrabKeyboardAdd (this=0x1e23930, area=0x29ef1b0) at ./WindowCompositor.cpp:1970
 QuicklistView::Show (this=0x29ef1b0) at /build/buildd/unity-3.6.8/src/QuicklistView.cpp:284
 LauncherIcon::OpenQuicklist (this=<value optimised out>, default_to_first_item=false) at /build/buildd/unity-3.6.8/src/LauncherIcon.cpp:430
 emit (this=<value optimised out>, x=<value optimised out>, y=<value optimised out>, button_flags=<value optimised out>, key_flags=<value optimised out>) at /usr/include/sigc++-2.0/sigc++/signal.h:1010
Title: compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabKeyboard()
UpgradeStatus: Upgraded to natty on 2011-03-25 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare sbuild
dmi.bios.date: 03/10/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6DET63WW (3.13 )
dmi.board.name: 7465CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6DET63WW(3.13):bd03/10/2010:svnLENOVO:pn7465CTO:pvrThinkPadX200s:rvnLENOVO:rn7465CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7465CTO
dmi.product.version: ThinkPad X200s
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.24-1
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Related branches

Chris Halse Rogers (raof) wrote :

StacktraceTop:
 nux::GraphicsDisplay::GrabKeyboard(void (*)(bool, void*), void*, bool) () from /usr/lib/libnux-graphics-0.9.so.0
 nux::WindowCompositor::GrabKeyboardAdd(nux::InputArea*) () from /usr/lib/libnux-0.9.so.0
 QuicklistView::Show (this=0x29ef1b0) at /build/buildd/unity-3.6.8/src/QuicklistView.cpp:284
 LauncherIcon::OpenQuicklist (this=<value optimized out>, default_to_first_item=false) at /build/buildd/unity-3.6.8/src/LauncherIcon.cpp:430
 emit (this=<value optimized out>, x=<value optimized out>, y=<value optimized out>, button_flags=<value optimized out>, key_flags=<value optimized out>) at /usr/include/sigc++-2.0/sigc++/signal.h:1010

Changed in compiz (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
affects: compiz (Ubuntu) → unity (Ubuntu)
Didier Roche (didrocks) on 2011-03-25
affects: unity (Ubuntu) → nux (Ubuntu)
Changed in nux:
status: New → Triaged
Changed in nux (Ubuntu):
status: New → Triaged
Changed in nux:
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 3.8.2
David Barth (dbarth) on 2011-03-28
Changed in unity:
assignee: nobody → Jay Taoko (jaytaoko)
David Barth (dbarth) on 2011-03-28
Changed in nux:
assignee: nobody → Jay Taoko (jaytaoko)
Changed in nux (Ubuntu):
assignee: nobody → Jay Taoko (jaytaoko)
Jay Taoko (jaytaoko) on 2011-03-29
Changed in nux:
status: Triaged → Fix Committed
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-04-01
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.38-0ubuntu1

---------------
nux (0.9.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #711916)
    - compiz crashed with SIGSEGV in nux::View::PostProcessEvent2()
      (LP: #712498)
    - compiz crashed with SIGSEGV in sigc::internal::signal_emit0<void,
      sigc::nil>::emit() (LP: #729715)
    - compiz crashed with SIGSEGV in brw_validate_state() (LP: #730707)
    - Finish Nux detection tool support (LP: #722089)
    - compiz crashed with SIGABRT in raise() (LP: #741942)
    - compiz crashed with SIGSEGV in PanelMenuView::ProcessEvent()
      (LP: #742139)
    - compiz crashed with SIGSEGV in operator->() (LP: #741961)
    - Graphics hardware capability detection (LP: #685208)
    - compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabPointer()
      (LP: #740784)
    - compiz crashed with SIGSEGV in nux::Area::InitiateResizeLayout()
      (LP: #741977)
    - compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabKeyboard()
      (LP: #742233)
    - Missing child addition signals on nux::Layout and nux::View
      (LP: #734803)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #735908)
    - unity_support_test crashed with SIGSEGV (LP: #743848)
  * debian/control:
    - adding libpci-dev build-dep for the new lighter unity_support_tool
 -- Didier Roche <email address hidden> Fri, 01 Apr 2011 11:15:39 +0200

Changed in nux (Ubuntu):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.